'use server';
import LoginForm from '@/components/auth/LoginForm';
import { createClient } from '@/utils/supabase/server';

const HomePage = async () => {
  const supabase = await createClient();
  const {
    data: { session },
  } = await supabase.auth.getSession();
  if (!session) {
    return (
      <div
        className='flex flex-col items-center
        justify-center md:min-h-[70vh]'
      >
        <LoginForm />
      </div>
    );
  }
  return (
    <div className='flex flex-col items-center justify-center'>
      <h1>Hello, {session.user.email}</h1>
    </div>
  );
};
export default HomePage;
